Subject: Re: Not compatible between cygwin-B20 and cygwin-2.125.2.10
From: "Michael A Chase" <[email-masked]>
To: "hiranaga 平永 務" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Sun, 20 Jan 2002 19:43:39 -0800

I am not the sole source of wisdom in the list.  Please address your
questions there.  I have forwarded my response to the list.

When I view this message (Content-Type: text/plain; charset="iso-2022-jp")
all the backslashes I paste from the bash console window show up as yen
symbols.

On the other hand, the command worked as I expected.  The following three
lines, starting with "$", are cut and pasted from my console window.  The
first line under the command is what I typed in and the second line is the
output (STDIN -> sed -> STDOUT).  Maybe you have varying characters for "'"
or "-" in the sed expression.

$ sed -e 's-\\-/-g'
\\\\\\\
///////

My environment:
   MS Windows XP
   ash                 20011018-1
   bash                2.05a-2
   cygwin              1.3.7-1
   sed                 3.02-1
   I run bash in a console window using the icon created by setup.exe.  You
don't seem to have rxvt loaded, so you are probably doing the same.

=== Late news ===
I get the same error you do when I try to run sed at the MSDOS prompt..  Use
the bash prompt instead when you want to use Cygwin utilities.  It's a much
more consistent and reliable environment.

--
Mac :})
** I normally forward private questions to the appropriate mail list. **
Give a hobbit a fish and he eats fish for a day.
Give a hobbit a ring and he eats fish for an age.
----- Original Message -----
From: "hiranaga 平永 務" <[email-masked]>
To: "Michael A Chase" <[email-masked]>
Sent: Sunday, January 20, 2002 16:37
Subject: RE: Not compatible between cygwin-B20 and cygwin-2.125.2.10

> Error command :
>
>     sed -e 's-\\-/-g'             <I want to change \ to />
>     sed: -e expression #1, char 7: Unterminated `s' command  <- error
message
>
> cygwin1.dll version :
>
> Windows 2000 Professional Ver 5.0 Build 2195 Service Pack 2
>   720k 2001/12/08 C:\cygwin\bin\cygwin1.dll
>     Cygwin DLL version info:
>         DLL version: 1.3.6
> . . .
>         CVS tag: cygwin-1-3-6-6
> . . .
> Cygwin Package Information
> Package             Version
> ash                 20011018-1
> bash                2.05a-2
> cygwin              1.3.6-6
> . . .
> sed                 3.02-1
>
> -----Original Message-----
> From: Michael A Chase [mailto:[email-masked]]
> Sent: Saturday, January 19, 2002 3:35 AM
> To: hiranaga 平永 務; [email-masked]
> Subject: Re: Not compatible between cygwin-B20 and cygwin-2.125.2.10
>
> The version number you've given (2.125.2.10) is the current version of
> setup.exe.  To find the cygwin version, run 'cygcheck -s' and look at the
> version information for cygwin1.dll.
>
> There may be a problem with character set translation.  In some views, I
see
> two backslashes as the first part of the sed expression and in others I
see
> two yen symbols.  The sed command hasn't changed in a very long time, but
> your keyboard and display drivers may be putting up characters other than
> what you think.
> ----- Original Message -----
> From: "hiranaga 平永 務" <[email-masked]>
> To: <[email-masked]>
> Sent: Thursday, January 17, 2002 17:08
> Subject: sed : Not compatible between cygwin-B20 and cygwin-2.125.2.10
>
> > Following command dosn't work on cygwin-2.125.2.10
> >    sed -e 's-\\-/-g'             <I want to change \ to />
> >    sed: -e expression #1, char 7: Unterminated `s' command  <- error
> message
> > But same command work on cygwin-B20.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/